Last Comment Bug 666784 - kNotifyData.redirectCallback in nptest.cpp is not initialized with NULL
: kNotifyData.redirectCallback in nptest.cpp is not initialized with NULL
Status: VERIFIED FIXED
[inbound]
:
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Hiroyuki Ikezoe (:hiro)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-23 15:34 PDT by Hiroyuki Ikezoe (:hiro)
Modified: 2011-08-31 07:58 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (672 bytes, patch)
2011-06-23 15:37 PDT, Hiroyuki Ikezoe (:hiro)
jaas: review+
Details | Diff | Splinter Review

Description Hiroyuki Ikezoe (:hiro) 2011-06-23 15:34:58 PDT
Actually it cause no bad infection, but should be fixed.
Comment 1 Hiroyuki Ikezoe (:hiro) 2011-06-23 15:37:22 PDT
Created attachment 541530 [details] [diff] [review]
fix
Comment 2 Benjamin Smedberg [:bsmedberg] 2011-06-23 15:37:41 PDT
It's a statically initialized struct, which means that unknown members are initialized to 0/null by the compiler.
Comment 3 Hiroyuki Ikezoe (:hiro) 2011-06-23 15:49:21 PDT
(In reply to comment #2)
> It's a statically initialized struct, which means that unknown members are
> initialized to 0/null by the compiler.

I know, but it depends on compiler, isn't it?
Comment 4 Josh Aas 2011-06-23 16:37:11 PDT
Comment on attachment 541530 [details] [diff] [review]
fix

I'm fine with being explicit about it.
Comment 5 Daniel Holbert [:dholbert] 2011-06-23 19:03:16 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/8e180685b9f3
Comment 6 Marco Bonardo [::mak] 2011-06-24 02:58:16 PDT
http://hg.mozilla.org/mozilla-central/rev/8e180685b9f3
Comment 7 Virgil Dicu [:virgil] [QA] 2011-08-31 07:58:59 PDT
The changes are visible in the Mozilla central repository, in nptest.cpp.
Setting resolution to Verified Fixed.

Note You need to log in before you can comment on or make changes to this bug.